﻿Public Class Bus
    Inherits Car
    'プロパティ==========
    Public Property SalesAmount As Integer        '運賃
    Public Property PassengerNumber As Integer    '乗客人数

    'コンストラクタ==========
    Public Sub New()
        Me.New(100)
    End Sub

    Public Sub New(gas As Double)
        MyBase.New(gas)
        Me.SalesAmount = 0
        Me.PassengerNumber = 0
    End Sub

    'メソッド==========
    '乗車させるメソッドAs String
    Public Sub RideToBus(fare As Integer)
        '走行中かどうか
        If Me.Speed <> 0 Then
            Throw New WarningException("停車してください。")
        End If
        '満席かどうか
        If Me.PassengerNumber >= 50 Then
            Throw New WarningException("満席のため、乗車できません。")
        End If
        '料金と、乗車人数を加算
        Me.SalesAmount += fare
        Me.PassengerNumber += 1
    End Sub

    '降車させるメソッド
    Public Sub GetOffBus()
        '走行中かどうか
        If Me.Speed <> 0 Then
            Throw New WarningException("停車してください。")
        End If
        '乗客がいるかどうか
        If Me.PassengerNumber = 0 Then
            Throw New WarningException("乗客はいません。")
        End If
        '乗車人数を減算
        Me.PassengerNumber -= 1
    End Sub
End Class
