﻿Module Module1

    '車の状態を表示するメソッド
    Sub ShowData(c As Bus)
        Console.WriteLine("スピード：{0}km", c.Speed)
        Console.WriteLine("ガソリン：{0}L", c.Gas)
        Console.WriteLine("売上金額：{0}円", c.SalesAmount)
        Console.WriteLine("乗車人数：{0}人", c.PassengerNumber)
    End Sub

    Sub Main()
        'インスタンスを生成する
        Dim obj As New Bus(150)

        '現在の状態を表示する
        ShowData(obj)

        While True
            Try
                '操作を入力
                Console.Write("1)加速　2)減速　3)給油　7)乗車　8)降車　9)終了：")
                Dim inputdata As String = Console.ReadLine()

                '操作によって分岐する
                Select Case inputdata
                    Case "1"
                        '加速する
                        obj.SpeedUp(5)
                        ShowData(obj)
                    Case "2"
                        '減速する
                        obj.SpeedDown(5)
                        ShowData(obj)
                    Case "3"
                        '給油する
                        'obj.SetGas(35)
                        obj.Gas = 80
                        ShowData(obj)
                    Case "7"
                        '乗車する
                        obj.RideToBus(200)
                        ShowData(obj)
                    Case "8"
                        obj.GetOffBus()
                        ShowData(obj)
                    Case "9"
                        'プログラムを終了する
                        Return
                End Select
            Catch ex As WarningException
                Console.WriteLine(ex.Message)
            Catch ex As Exception
                Console.WriteLine("エラーが発生しました。")
                Console.WriteLine(ex.Message)
            End Try
        End While
    End Sub

End Module
